import classnames from 'classnames';
import classes from './styles.module.scss';
import Block from './Block';
import legalStuffDescription from './content/legal-stuff';

const InteractiveFooter = (props) => {
  const { content = [] } = props;
  const noContent = content.length === 0;

  return (
    <footer className={classnames(classes['interactive-footer'])}>

      {
        content.map((a) => (
          <Block
            key={a.title}
            title={a.title}
            description={a.description}
            fullWidth={a.fullWidth}
          />
        ))
      }

      <Block
        title="Legal stuff"
        description={legalStuffDescription}
        fullWidth={noContent}
      />

      <p className={classes.copyright}> © 2022 POLITICO LLC</p>
    </footer>
  );
};

InteractiveFooter.defaultProps = {
  classes: {},
};

export default InteractiveFooter;
