import Template from './_template';

const CustomComponents = Template.bind({});

const CustomLink = (props) => (
  // eslint-disable-next-line jsx-a11y/anchor-has-content
  <a
    {...props}
    style={{
      backgroundColor: 'cyan',
      color: 'darkgreen',
    }}
  />
);

CustomComponents.args = {
  classes: {
    'heading-one': 'heading-one',
    'heading-two': 'heading-two',
    'heading-three': 'heading-three',
    'heading-four': 'heading-four',
    'heading-five': 'heading-five',
    'heading-six': 'heading-six',
    paragraph: 'paragraph',
    blockquote: 'blockquote',
    bullets: 'bullets',
    numbered: 'numbered',
    item: 'item',
    link: 'link',
    image: 'image',
    bold: 'bold',
    italic: 'italic',
    code: 'code',
  },
  components: {
    a: CustomLink,
  },
  styled: false,
  source: `
  # Nobis nostri

  ## Quo cupit effulget Delosque Marsque illos fervida
  
  Lorem markdownum tinguit radice vigili ex sua his sinunt inquit diem adurat
  mensae deae? Geminasque **Peleus censet**.
  
  Sis errore, mora ultima voluitque extrema; et *repetunt*, caelo.
  [Vetat](http://www.hunc-neci.io/) amore officium lacrimis artus meminisse augur
  postquam plurima tot quaeque iners. In falsa [alieni](http://fugant-lethes.io/),
  regia et digiti esse, uno. Dum fulvo **accessit saepe**.
  
  ## Recusat sibi per candidus falsi et meruisse
  
  Gratia et prior crescere corpusque legumque, quibus aut ultima fitque Achilles
  iunctis. Diversas et tela pectora secum. Erat ab pulsat tuta nocuit Galanthida
  tam gradu lupos. Nos omnes corneaque formae, credit cecidere Tegeaea retinentia
  inclusum, [retorserunt fortunam](http://exadius.org/).
  
  ## Valle carmen est submisit potestas nubes pigneror
  
  *Admirantibus mediis*, quoque Troiam posse, hoc sinamus Iovis Eumolpo e cognosci
  venam; laturus, a minis. Omne sine custos: agmen villosa, omnemque tela
  condebat: magnum poposcerat solitos coniunx, ferendo fundamina! Nec lacessas
  quaesita cerata; salutat reticere dedit limitibus pavidum irascitur quo veterum,
  adiacet, saecli.

  ![Otters in the ocean](https://www.politico.com/interactives/uploads/image-service/2021/4/8/cdbf0d2afa-1200.jpeg)
  
  Patruelis vi qui quo nec facinus rogata fallit, terreat instrumenta *quia*
  deorum petens murmure: pelle ante diu et. Omnes pavet acies profectus Cytherea
  solvere, eminet quo lectus esse parenti. Laborum delicuit lumina, ibi medio
  mora, oris tellus superest. Tyrioque amnis: quae, sine decidere nititur, bellum,
  Cyllenenque Parin vacca corpus solisque et.
  
  ## Tenebat et poenam leonibus esset triumphis quantum
  
  Quaedam in vultus, gemini atque iuvenem generosa ramis, ac ante quondam templa?
  Tenet coniugiique natas genetrix petit remoliri, his saxa multos verbis femur et
  cervice, scopulo, vos fugant annos? Solibus luxuriant per nec Telethusa caput
  coniugis belli subsequitur aurea et lapsum, in in maxima distantia!
  
  - Laetus pocula castrorum laudis blanditiae iacit infectas
  - Inritata gratior facta et celare remissis imagine
  - Altum feras nemus peti nec
  
  At [carpit si fuerat](http://www.vocalibus-morte.org/glandibus.aspx) vulnus,
  intraverat frustra, ire, sede sunt atque se aequore tepidique hinc. Vertigine
  pulsabantque [capax](http://data.io/gestusolebant.aspx), alta ibidis, senex in
  infert, sub, illa refers coirent funduntque, spoliat corpore. Contenta amando
  gladios supplex, clade pelagi retinens altis Tereus, meum amores iuvenes amores,
  init. Enim agmen, vulnere, paelex fuit **pectoribusque** ceris Erigoneque.
  Obstarique matres amor, sed ausa, cum non tonso sidera, et vulnere.

  Honore efficiet, hunc ille laedit nondum? Verba me seu deo ego possit mensam,
  mutataeque mea estque. Lacrimas durescit quantum sui duros in multis unda:
  deducit capilli fugit audit ocior viget vertice Haemonio, ducis. Inmisitque
  subponunt humilem; et curae velox somnis de gemitu, eras de! Umor aut, Ide oris
  ver caelestibus colla o citis, te ira.

  > *Fratremque suas*! Eadem Saturnius vitam patulas iubebat: patresque quae
  > vincat forma neve Enipeus vastatoremque ferebat novissima sarisa secum,
  > aetheriis.

  Me hunc harena. Quid oro.

  Poma venit nec nec capillis ille corpore, viam pedes, per me operis et *orbator
  supplex*. Exigit videre inmensae virgo reducit fulvis
  [puer](http://www.sororummeritumque.io/procne.html) moenia *Scythica quasque
  numine* et in [Iovis](http://exstantibuscaeli.net/calidusrudi) meritoque,
  Tyndaris.
  `,
};

export default CustomComponents;
