import useRenderedText from './_hooks/useRenderedText';
import { MarkdownContext } from './_context';

export default function MarkdownContent({
  source = '',
  classes = {},
  nodeProps = {},
  components = {},
  styled = true,
}) {
  const Content = useRenderedText(source);

  return (
    <MarkdownContext.Provider value={{
      classes,
      nodeProps,
      components,
      styled,
    }}
    >
      {Content}
    </MarkdownContext.Provider>
  );
}
