import Template from './_template';
import ContentComponent from './_common/ContentComponent';
import Target from './_common/Target';

const BasicTooltipContentComponent = Template.bind({});

BasicTooltipContentComponent.args = {
  content: ContentComponent,
  props: { text: 'Hello from a rendered ContentComponent!' },
  children: (
    <Target>Hello</Target>
  ),
};

BasicTooltipContentComponent.parameters = {
  docs: {
    description: {
      story: `
If you already have a component type that will render the proper tooltip
contents, you can provide that component type as the \`content\` prop and
additionally provide the \`props\` prop, specifying the props that should be
passed to your content component to render the tooltip.
`,
    },
  },
};

export default BasicTooltipContentComponent;
