import {
  TooltipDisplay,
  TooltipTrigger,
  useTooltip,
} from '../index';
import Target from './_common/Target';

const Component = function Component(props) {
  const {
    useTooltipOptions,
    triggerProps = [{}, {}, {}],
    displayProps = {},
  } = props;

  const tooltip = useTooltip(useTooltipOptions);

  return (
    <div>
      {triggerProps.map(({ label, ...trigger }, i) => (
        // eslint-disable-next-line react/no-array-index-key
        <TooltipTrigger key={i} {...trigger} tooltip={tooltip}>
          <Target>{label || `Tooltip trigger content ${i + 1}`}</Target>
        </TooltipTrigger>
      ))}
      <TooltipDisplay tooltip={tooltip} {...displayProps} />
    </div>
  );
};

const Template = (args) => <Component {...args} />;

export default Template;
